// General
body {
  background: $gray-100;
  color: $black;
}

h2, h4 {
  color: $color-dc20-1;
}

h1, h2, h5 {
  color: $color-dc20-0;
  font-weight: bold;
}

#main {
  margin-top: 1rem;
  min-height: 70vh;
  padding: 2em;

  table {
    @extend .table;
  }

  .table-sm {
    @extend .table-sm;
  }
}

a.btn {
  text-decoration: none;
  margin-right: 1em;
}

.wafer-sponsors {
  a {
    height: 100%;

    img {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      width: 90%;
      max-width: 60vw;
      height: 90%;
    }
  }

  .col-lg-6 {
    margin-bottom: 30px;
  }

  .row {
    margin-top: 1.3rem;
    margin-bottom: 1.3rem;
  }

  .sponsors-platinum {
    height: 10rem;
    img {
      max-width: none;
    }
  }

  .sponsors-gold {
    height: 8rem;
  }

  .sponsors-silver {
    height: 6rem;
  }

  .sponsors-bronze {
    height: 4rem;
  }

  .sponsors-supporter {
    height: 3rem;
  }

  .sponsor-us {
    border-style: dotted;
    padding: 1rem;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.8rem;
    height: 5rem;

    @include media-breakpoint-down(xs) {
      font-size: 0.8em;
    }
  }
}

#login-salsa-logo {
  display: block;
  height: 2em;
}

.btn-salsa {
  @include button-variant(#262691, #262691);
}

// Profile form
form #div_id_twitter_handle, form #div_id_github_username {
  display: none;
}

// Schedule
#main .wafer-schedule {
  table {
    @extend .table-bordered;
    @extend .table-hover;

    $schedule-border: 1px solid #999;

    tr, td, th {
      border: $schedule-border;
    }
  }
}

// Front Page:
#main.index {

  #calls-to-action,
  #news-section,
  .wafer-sponsors {
    margin-bottom: 3rem;
  }

  #calls-to-action {
    .card {
      height: 100%;
    }
  }

  #news-section {
    a {
      text-decoration: none;
    }
  }

  #testimonials-section {
    .card {
      background-color: $white;
    }
    .blockquote {
      font-size: 1.2rem;
      font-style: italic;
      color: $gray-700;
    }
  }
}

// Nav:
.navbar-light .navbar-nav .nav-link {
  color: $color-dc20-0;
}

nav.navbar {
  background: $white;
  border-bottom: 5px solid $color-dc20-0;
  a.nav-link {
    text-decoration: none;
  }
  .container {
    padding: 0;

    li {
       padding: 0 0.5em;
    }
  }
}

a.logo {
  img {
      height: 1.5em;
  }
  margin-left: 25px;
  margin-right: 25px;
}

.navbar #signup-item {
  background-color: $color-dc20-0;
  a {
    color: $white;
  }
}

.footer {
  @media print {
    display: none;
  }
  margin-top: 3rem;
  background-color: rgba($black, .8);
  font-size: 0.75rem;
  color: $gray-400;
  a {
    color: $white;
    text-decoration: none;

    &:hover {
      color: $color-dc20-2;
    }
  }

  #logos img {
    max-width: 6rem;
  }
}

// Invoice page

h4.card-header {
  color: white;
}

// User profile

ul.profile-links {
  list-style: none;
}

// vim: set et ts=2:
